
import yaml

with open("RedHat-6.yaml", "r") as ymlfile:
	inputfile = yaml.load(ymlfile)


swstack = inputfile['aci::profile::swst::stack']

appsList = swstack.get("apps")

for apps in appsList.keys():
	versions = appsList.get(apps)
	print (apps)
	#print (versions)
	for vers in versions:
		appVer = versions.get(vers)
		params = appVer.get("params")

		ensure = params.get("ensure")

		if ensure != "purged" and ensure != "installed":
			version = ensure.split("-")[0]
			if vers.endswith(version) == False:
				print ("  " + vers + " - " + version)
			else:
				print ("  " + version)
		else:
			print ("  " + vers + " - " + ensure)

	print

